Bug 447079 - Review Request: perl-Parse-CPAN-Meta - Parse META.yml and other similar CPAN metadata files
Review Request: perl-Parse-CPAN-Meta - Parse META.yml and other similar CPAN ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 447084
  Show dependency treegraph
 
Reported: 2008-05-17 14:06 EDT by Steven Pritchard
Modified: 2011-02-10 12:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 19:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2008-05-17 14:06:21 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Parse-CPAN-Meta/perl-Parse-CPAN-Meta.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Parse-CPAN-Meta-0.03-1.src.rpm
Description:
Parse::CPAN::Meta is a parser for META.yml files, based on the parser half
of YAML::Tiny.
Comment 1 Parag AN(पराग) 2008-05-19 02:58:27 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=616785
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6085074818ee8242b15a099c0339defa  Parse-CPAN-Meta-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_compile.......
ok
t/02_basic.........
ok
t/03_regression....
ok
t/04_scalar........
ok
t/11_meta_yml......
ok
t/12_plagger.......
ok
t/13_perl_smith....
ok
t/14_yaml_org......
ok
t/15_multibyte.....
ok
t/16_nullrefs......
ok
t/17_toolbar.......
ok
t/97_meta..........
skipped
        all skipped: Author tests not required for installation
t/98_pod...........
skipped
        all skipped: Author tests not required for installation
t/99_pmv...........
skipped
        all skipped: Author tests not required for installation
All tests successful, 3 tests skipped.
Files=14, Tests=221,  1 wallclock secs ( 0.83 cusr +  0.06 csys =  0.89 CPU)

+ Package perl-Parse-CPAN-Meta-0.03-1.fc10 =>
  Provides: perl(Parse::CPAN::Meta) = 0.03
  Requires: perl(:MODULE_COMPAT_5.10.0) perl(Carp) perl(strict)


SHOULD:
  Change license to "GPLv2+ or Artistic" before cvs import.


APPROVED.
Comment 2 Steven Pritchard 2008-05-19 09:37:10 EDT
New Package CVS Request
=======================
Package Name: perl-Parse-CPAN-Meta
Short Description: Parse META.yml and other similar CPAN metadata files
Owners: steve
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Steven Pritchard 2008-05-19 09:44:52 EDT
(In reply to comment #1)
> SHOULD:
>   Change license to "GPLv2+ or Artistic" before cvs import.

According to the wiki (http://fedoraproject.org/wiki/Licensing), the standard
Perl license should be "GPL+ or Artistic".  If you look at
http://search.cpan.org/src/ADAMK/Parse-CPAN-Meta-0.03/LICENSE, the author even
references GPLv1.  (Granted, he then quotes GPLv2.)
Comment 4 Kevin Fenzi 2008-05-19 12:18:27 EDT
cvs done.
Comment 5 Steven Pritchard 2008-05-19 19:30:04 EDT
Imported in CVS and built.
Comment 6 Ralf Corsepius 2008-05-19 20:32:40 EDT
Can we please have this package (and perl-Parse-CPAN-Meta) for FC-8 and FC-9,
also? One of the perl-modules I already have in Fedora has recently been added
deps on them. TIA.
Comment 7 Steven Pritchard 2008-05-20 10:25:23 EDT
(In reply to comment #6)
> Can we please have this package (and perl-Parse-CPAN-Meta) for FC-8 and FC-9,
> also? One of the perl-modules I already have in Fedora has recently been added
> deps on them. TIA.

Done.  I'll do the same for perl-Test-CPAN-Meta (which is what I assume you
meant) as soon as it is reviewed.
Comment 8 Fedora Update System 2011-01-26 06:50:26 EST
perl-Parse-CPAN-Meta-1.40-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Parse-CPAN-Meta-1.40-1.el5
Comment 9 Fedora Update System 2011-01-26 06:50:36 EST
perl-Parse-CPAN-Meta-1.40-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Parse-CPAN-Meta-1.40-1.el4
Comment 10 Fedora Update System 2011-02-10 12:54:14 EST
perl-Parse-CPAN-Meta-1.40-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-02-10 12:55:20 EST
perl-Parse-CPAN-Meta-1.40-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.